You need IE 3.0 or Netscapte 3.0 to view this applet